%define momorel 3

Summary: GNOME Password Manager
Name: gpass
Version: 0.5.0
Release: %{momorel}m
License: GPL
Group: User Interface/Desktops
%NoSource 0 http://projects.netlab.jp/gpass/release/gpass-%{version}.tar.gz 6b0a9abdc5846a08b267a6018d320cc4
Patch0: gpass-0.5.0-module.patch
URL: http://projects.netlab.jp/gpass/
BuildPreReq: GConf-devel, libgnomeui-devel, gtk+-devel, pkgconfig
BuildPreReq: zlib-devel, openssl-devel >= 0.9.8a , libmcrypt-devel, libmhash-devel
BuildRoot: /var/tmp/%{name}-%{version}-root/

%description
GPass is a simple GNOME application, released under the GNU GPL licence, that
lets you manage a collection of passwords. The password collection is stored in
an encrypted file, protected by a master-password.

%prep
%setup -q
%patch0 -p1 -b .gmodule

%build
autoconf
%configure --disable-schemas-install
%make

%install
%__rm -rf --preserve-root %{buildroot}
%makeinstall PIXMAPS_DIR=%{buildroot}%{_datadir}/pixmaps

%clean
%__rm -rf --preserve-root %{buildroot}

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gpass.schemas > /dev/null

%files 
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/gpass
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_mandir}/*/*

%changelog
* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.0-3m)
- add patch0 for gmodule
- http://pc10.2ch.net/test/read.cgi/linux/1092539027/841
- add %%post for schemas

* Sun Apr  9 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.5.0-2m)
- rebuild against openssl-0.9.8a

* Wed Aug  3 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-1m)
- version 0.5.0

* Thu Jul 28 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-0.2.1m)
- version 0.5rc2

* Fri Jul 15 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.0-0.1.1m)
- initial import to Momonga
